cairomm: Cairo::SolidPattern Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Cairo::SolidPattern Class Reference

Inheritance diagram for Cairo::SolidPattern:
[legend]

List of all members.

## Public Member Functions
| SolidPattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
void | get_rgba (double& red, double& green, double& blue, double& alpha) const
| Gets the solid color for a solid color pattern.
virtual | ~SolidPattern ()
## Static Public Member Functions
static RefPtr< SolidPattern > | create_rgb (double red, double green, double blue)
static RefPtr< SolidPattern > | create_rgba (double red, double green, double blue, double alpha)

## Constructor & Destructor Documentation

Cairo::SolidPattern::SolidPattern | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

Create a C++ wrapper for the C instance.

Parameters:

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::SolidPattern::~SolidPattern | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<SolidPattern> Cairo::SolidPattern::create_rgb | ( | double | red,
|  | double | green,
|  | double | blue
| ) |  | `[static]`

static RefPtr<SolidPattern> Cairo::SolidPattern::create_rgba | ( | double | red,
|  | double | green,
|  | double | blue,
|  | double | alpha
| ) |  | `[static]`

void Cairo::SolidPattern::get_rgba | ( | double & | red,
|  | double & | green,
|  | double & | blue,
|  | double & | alpha
| ) |  | const

Gets the solid color for a solid color pattern.

Parameters:

  red | return value for red component of color
  green | return value for green component of color
  blue | return value for blue component of color
  alpha | return value for alpha component of color

Since:
  1.4

The documentation for this class was generated from the following file:

- cairomm/pattern.h